Bug 483232 - new version available 4.3.3
new version available 4.3.3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: imp (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Nigel Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-30 06:51 EST by Miroslav Baranko
Modified: 2010-04-20 18:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: imp-4.3.6-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-31 21:46:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Baranko 2009-01-30 06:51:37 EST
BUG FIX, SECURITY FIX

----------
v4.3.3-cvs
----------

[mms] Workaround obsolete 'UT' date format (Request #5717).
[mms] Fix tracking folder changes when renaming (Bug #7772).
[cjh] Suppress browser autocomplete when redirecting messages (Bug #7767).


------
v4.3.2
------

[mms] Fix prototypejs regression on IE (Bug #6590).


------
v4.3.1
------

[jan] SECURITY: Escape output in test.php.
[mms] Don't include Virtual Folder information in when tracking folder
      tree changes (Bug #7739).
[mms] Marked stripped parts as 'attachment', not 'inline' (Request #4664).
[mms] Fix linking from addresses in mailbox to compose screen (Bug #7432).
[jan] Use mailer configuration when sending iTip replies (Bug #7388).
[jan] Always display multipart/appledouble attachments.
[mms] Upgrade prototype.js to v1.6.0.3.


----
v4.3
----

[jan] Add compose token to redirect view (Bug #7383).
[jan] Don't resize window if not composing messages in a popup.


--------
v4.3-RC2
--------

[mms] Fix loading of print stylesheets when printing a message (Bug #7310).
[mjr] Fix redirect loop when conf[server][change_server] is true (Bug #6978).
[mms] Fix message caching and optimize storage.
[mms] Fix autocomplete address positioning on IE (Bug #7074).
[cjh] When the selected view doesn't match the type of browser's default view
      (IMP or DIMP for a mobile browser, MIMP or DIMP for a desktop browser),
      explicitly redirect to that view and disable the frameset (Bug #6332).
[jan] Add support for updating exsting events and cancelled recurring event
      instances to iTip viewer (Bug #6636).
[mms] Fix uploaded compose attachment names if magic quoting is on (Bug #7215).
[mms] Cache results of address formatting.
[jan] Show name and email address in the address book popup (Request #6937).
[mms] Messages from lists can now have large quotes automatically hidden.


---------------------------------
v4.3-RC1 (released as v4.2.1-RC1)
---------------------------------

[mms] Fix incorrect autocomplete replacement in certain cases (Bug #6819).
[mms] Use optimized autocomplete javascript library.
[mms] Handle ';' to delimit addresses when composing.
[jan] Don't allow adding private PGP keys as public keys (Bug #7080).
[jan] Add Basque translation (Euskal Herriko Unibertsitatea EHU/UPV
      <xabier.arrieta@ehu.es>).
[mms] Search by size now displayed in KB (Request #6921).
[jan] Add option to attach personal vCard to message (requires Turba 2.2.2).
[jan] Fix maildir quota driver (Bug #7014).
[jan] Add configuration for quota message format.
[mms] Maintain original header encoding on redirect (Bug #7006).
[cjh] Add CSRF tokens to the Compose screen (Kris Steinhoff
      <steinhof@umich.edu>).
[jan] Fix adding vhost specific trailer.txt.
[jan] Add more flexible placeholders to SQL quota driver.
[jan] Fix passing passwords to quota drivers.
[mms] Improved folder list generation (Bug #6972).
[cjh] Allow hiding quota messages when quota is unlimited
      (Thomas Jarosch <thomas.jarosch@intra2net.com>, Request #6934).
[jan] Add mailto: handler for Firefox 3+.
[mms] Fix address MIME encoding issues when saving a draft (Bug #6986).
[cjh] Include a hint about fixing invalid From addresses in the error message
      (steinhof@umich.edu, Bug #6941).
[cjh] Fix overwriting $params in _imp_adminDo API call (Bug #6955).
[mms] Never wrap flowed lines in text/plain messages.
[mms] Fix broken spellcheck when using fckeditor on Safari 3 (Bug #6909).
[mms] Fix unescaping URL parameters passed to popup windows (Bug #6834).
[jan] Fix logging of forwarded messages.
[mms] Fix creation of subfolders in certain namespaces
      (thomas.jarosch@intra2net.com, Bug #6827).
[mms] Improve search page by moving flags into search criteria section
      (Request #6825).
[mms] If using imagemagick, allow creation of PDF thumbnails.
[mms] Strip quotation marks and backslashes from displayed addresses.
[mms] Fix spellcheck in HTML mode when using Xinha on IE (Bug #6799).
[mms] Fix rare case when spellchecking HTML input could result in the HTML
      tags being recognized as misspelled words.
[jan] Fix parsing for Token System configuration parameters.
[mms] Add ability to search by size.


------
v4.2.1
------

[jan] SECURITY: Escape output in test.php.


----
v4.2
----

[cjh] Fix display of email groups in received messages.
[cjh] Fix sending email to contact lists (Bug #6732).
[cjh] Make sure that email addresses entered in the Identities screen pass
      basic well-formedness validation (Bug #6654).
[cjh] Fix default server selection on the login screen
      (adrieder@sbox.tugraz.at, Bug #6738).
[cjh] Fix defaulting to the wrong address book in the Contacts popup
      (steinhof@umich.edu, Bug #6723).


--------
v4.2-RC4
--------

[mms] Add ability to cache JS/CSS files to static files to improve performance
      and to fix problems when updating JS/CSS files.
[cjh] Apply fix for http://dev.rubyonrails.org/ticket/11473 to prototype.js
      (Request #6590).
[cjh] Make request token lifetime configurable (faurep@agr.gc.ca, Request
      #6679).
[mms] If using SMTP, send messages using 8BITMIME (RFC 1652) or BINARYMIME
      (RFC 3030) if appropriate (Request #6645).
[cjh] Work around a spellchecking issue with proc_close and --enable-sigchild
      (Bug #6625).
[jan] Show user drop down list in ACL screen if possible.
[mms] Redirect after doing maintenance to the proper view (Bug #6179).
[mms] Allow switching views in mobile login mode (Request #6332).
[jan] Support vhosts setting when loading header.php, servers.php,
      spelling.php and trailer.txt configuration files.
[mas] Use delete icon on search page to remove elements. (Liam Hoekenga
      <liamr@umich.edu>, Request #6515).
[mms] Add link to delete entire thread on thread screen (Request #5884).
[mms] Hide trash-related options when trash is disabled.
[jan] Allow users to specify server name and login credentials in Horde's
      preferences (requires Horde 3.2).
[mms] Message cache now stored in configurable chunks to reduce memory usage.
[mms] Fix mailbox list caching when hiding deleted messages.


--------
v4.2-RC3
--------

[mas] Replace %l and %d with the current short username and domain name in spam
      reporting shell calls. (Bug #6364)
[cjh] Add a hook quota driver (Michael.Redinger@uibk.ac.at, Request #6322).
[mms] Make xinha add BR tag instead of P tag on enter keypress (Mozilla only).
[mms] Add fckeditor to list of supported javascript editors.
[jan] Hide iTip actions if not using IMP frontend (Bug #6116).
[cjh] Fix showing suggestions for the second or subsequent misspelled word
      (Bug #6081).
[jan] Add configuration option to force users to a certain view.
[jan] Localize default folder names.
[jan] Call a contacts/add API method to create links for adding contacts if
      available.
[jan] Filter HTML body when replying to HTML messages with the WYIWYG editor.
[jan] Allow users to set the HTML editor toolbar buttons in their preferences.
[jan] Fix charset of composed HTML messages (Bug #6268).
[cjh] Protect mailbox, message, and folder actions with CSRF tokens.
[cjh] Fix action dropdowns in IE6 (Bug #6177).
[cjh] Make sure to call Event.extend() when using inline event handlers, for
      IE6's benefit.
[cjh] Fix improper enabling of HTML composition on replies (Bug #6176).
[jan] Use subject's CN instead of OU for storing public keys (Bug #6169).
[cjh] Make sure that custom checkbox preferences are stored as 0 or 1 instead
      of 'on' or ''.
[jan] Fix popup URL generation (Bug #6139).


--------
v4.2-RC2
--------

[mms] SECURITY: When sending linked attachments, protect against JAR attacks
      in some Mozilla browsers (Bug #5892).
[cjh] Fix the bottom Select: menu in the mailbox view (Bug #6128).
[mms] Add hook for adding formatting information to a message list row
      (Request #5234).
[mms] If javascript is available, automatically size the popup compose window.
[jan] Allow to write outside of HTML signatures in WYSIWYG editor (Bug #3753).
[jan] Highlight HTML signatures in WYSIWYG editor.
[jan] Remember webmail mode selected on the last login.
[mms] Compress download data.


--------
v4.2-RC1
--------

[jan] Fix broken <area> tags in HTML messages.
[mms] When sending notification that linked attachment has been downloaded,
      correctly set timezone in download time (Bug #4609).
[cjh] If encrypting a message, encrypt an attached public key as well
      (Bug #5733).
[jan] Remove "default search field" preference, show all common fields instead.
[cjh] Rename IMP_IMAP_Client::namespace to getNamespace() for PHP 5.3
      compatibility.
[cjh] Cache PGP public keys for one hour (adrieder@sbox.tugraz.at,
      Request #5773).
[mms] Add mailbox list caching across sessions.
[cjh] Don't translate "Fwd:" in email subjects (Request #5674).
[jan] Add link to strip all attachments from a message.
[jan] Show owner of S/MIME cert in signed messages, not the message sender.
[jan] Allow maintenance tasks to rename and delete fixed folders (Bug #5592).
[mms] Allow all javascript and CSS in a page to be served in a single browser
      request.
[jan] Move all IMP-specific hook examples from Horde's config/ directory.
[jan] Fix compose window widgets with certain translations (Bug #5638).
[jan] Fix sidebar tree generation with certain translations (Bug #5525).
[cjh] Fix spellchecking HTML messages with active links (Bug #5629).
[cjh] Fix a fatal error when composing for users with no signature (Bug #5682).
[cjh] The pspell extension is no longer supported for spell checking since
      it doesn't work with HTML composition at all (Bug #5516).
[cjh] Fix switching signatures when using HTML composition (Bugs #3753, #5594).


----------
v4.2-ALPHA
----------

[jan] Add configuration for folders that may not be modified.
[mms] Inline PHP-generated javascript to avoid cross-domain leaking
      (Bug #5307).
[cjh] Preserve current mailbox when composing in the main window (Bug #5415).
[cjh] Add a few more new mail sounds and allow the user to choose
      between them (Request #3260).
[mms] Preserve URL anchor information when performing login.
[jan] Fetch public PGP keys from keyserver if not available in address book
      (Requires Horde 3.2).
[mms] Add compose support for e-mails containing Internationalized Domain
      Names (Request #5180).
[jan] Add a hook for post sending actions, after a message has been sent.
[mms] Add option to login screen to allow user to select the application mode
      if either DIMP or MIMP is also installed.
[jan] Add unified IMAP quota driver to obsolete the Cyrus and Courier drivers.
[mms] Don't allow namespace delimiters in new mailbox names.
[mms] Change 'Important' flag to 'Flagged For Followup' and clear the flag
      after a reply (Request #4867).
[mms] Allow display of shared/public folders separate from a user's personal
      folders (Request #3581).
[mms] Allow thumbnails to be generated for all attached images, regardless
      of image size.
[cjh] Add a modal confirmation dialog for emptying a folder (Request #4812).
[mms] Add ability for admin to limit size of reply text.
[mms] Add RSS/Atom feed for mailboxes (Eric Garrido <ekg2002@columbia.edu>,
      Request #2733).
[mms] If tidy is available, use it to clean up outgoing HTML messages.
[mms] Automatically delete blacklisted messages (Request #4569).
[cjh] Implement non-modal newmail popups (Request #3327).
[mms] Add option to restrict size of MIME message parts that can be displayed
      inline.
[cjh] Add a Help entry for keyboard navigation (Bug #4716).
[mms] Most javascript code now uses the Prototype library.
[jan] Address auto-completion searches only at beginning of names and
      addresses.
[jan] Add button to empty the current folder.
[jan] Show percentage of attachment limit usage in compose window
      (Eric Garrido <ekg2002@columbia.edu>, Request #3434).
[jan] Add SQL driver for quotas (Tomas Simonaitis <haden@homelan.lt>,
      Request #4053).
[mms] Allow user to view PGP encrypted messages sent by themself (Bug #4332).
[mas] Make ACL editor more intuitive (Eric Garrido <ekg2002@columbia.edu>,
      Request #3808).
[mas] Conform to WCAG 1.0 Priority 2/Section 508 accessibility guidelines.
      (Request #4080)
[mms] Added preference to allow composition in reply/forward based on
      "richest" format available in original message (Request #4270).
[mms] Added preferences to determine default forwarding method and whether
      to include body text in forwards by default.
[mms] Add preference to only verify PGP & S/MIME signed data upon user
      request (Request #4022).
[mms] Add preference to indicate default cursor location in compose text
      area (Request #3245).
[jan] Add support for symmetric PGP encryption (Requires Horde 3.2).
[cjh] Add an onbeforeunload handler so Firefox and IE users can be prompted
      before accidentally closing a compose window (phyre@rogers.com,
      Request #4271).
[jan] Move mail_hdr preference from identities to a regular preference.
[mms] Remove current mailbox information from session - allows multiple
      simultaneous open IMP windows (Request #3171).
[mms] Add folder size display to folders screen (Request #4065).
[mms] Add ability to filter HTML message output with tidy (Request #388).
[cjh] Show thumbnails of large images instead of linking to them
      (Eric Garrido <ekg2002@columbia.edu>, Request #3808).
[mms] Page location in mailbox is remembered for subsequent mailbox visits.
[mas] Add maintenance task to purge old messages from spam folder (Request
      #3860).
[mms] Implement mailbox message list caching.
[mms] Port AJAX spell checking code from DIMP.
[mms] Port auto-complete contacts AJAX code from DIMP.
[mms] Add preference to poll all folders for new mail (Request #2197).
[mms] Allow admins to add "Printed By" headers to the top of all printed
      messages (Request #1965).
[mms] Allow user to save per-folder sort preferences (Request #1483).
[jan] Add multidomain support for Kolab servers (tokoe@kde.org, Request #3579).
[cjh] Add a hook for post-login actions, after the session is established
      but before redirection.
[mms] Recent search queries can be retrieved on the search page (Request
      #3337).
[mms] Convert all templates to Horde_Template::.
[cjh] Show vTodo parts in the iTip driver (Request #3344).
[jan] Add maintenance task to purge old messages from sent-mail folders.
[cjh] Move allow_cc and allow_bcc to compose_cc and compose_bcc preferences.
[ben] Better support for MS-SQL.
[jan] Whether and where to show alternative mime parts is now a preference
      instead of MIME configuration.
[mms] Split out custom spelling dictionary into separate configuration file.
[jan] Delete original message after saving a resumed draft.
[cjh] If the browser supports the necessary javascript, unblock images in HTML
      messages without a page reload.
[cjh] Do all message styling based on flags with CSS.
[mms] Implement message caching.
[jan] Add permissions to restrict maximum number of recipients per message and
      time.
[jan] Add API method "contacts/favouriteRecipients".
[jan] Add logging of sent messages.
Comment 1 Bug Zapper 2009-06-09 06:59:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Update System 2010-03-29 13:12:46 EDT
imp-4.3.6-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/imp-4.3.6-1.fc13
Comment 3 Fedora Update System 2010-03-29 13:13:13 EDT
imp-4.3.6-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/imp-4.3.6-1.fc12
Comment 4 Fedora Update System 2010-03-29 13:13:34 EDT
imp-4.3.6-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/imp-4.3.6-1.el5
Comment 5 Fedora Update System 2010-03-29 13:13:57 EDT
imp-4.3.6-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/imp-4.3.6-1.fc11
Comment 6 Fedora Update System 2010-03-31 21:46:13 EDT
imp-4.3.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-03-31 21:46:41 EDT
imp-4.3.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-04-08 23:45:12 EDT
imp-4.3.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-04-20 18:18:56 EDT
imp-4.3.6-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.